Announcement

Announcement Module
Collapse
No announcement yet.

Is there a good build of Percona-Server-5.1.45-10 on MAC OS X 10.5.8?

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Is there a good build of Percona-Server-5.1.45-10 on MAC OS X 10.5.8?

    When I try to build from source, I got the compile error

    /bin/sh ../../libtool --preserve-dup-deps --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../include -I../../include -I../../include -I../../regex -I./include -I../../sql -I. -DMYSQL_DYNAMIC_PLUGIN -prefer-non-pic -O3 -fno-implicit-templates -fno-exceptions -fno-rtti -D_P1003_1B_VISIBLE -DSIGNAL_WITH_VIO_CLOSE -DSIGNALS_DONT_BREAK_READ -DIGNORE_SIGHUP_SIGQUIT -DDONT_DECLARE_CXA_PURE_VIRTUAL -MT ha_innodb_la-i_s.lo -MD -MP -MF .deps/ha_innodb_la-i_s.Tpo -c -o ha_innodb_la-i_s.lo `test -f 'handler/i_s.cc' || echo './'`handler/i_s.cc
    libtool: compile: g++ -DHAVE_CONFIG_H -I. -I../../include -I../../include -I../../include -I../../regex -I./include -I../../sql -I. -DMYSQL_DYNAMIC_PLUGIN -O3 -fno-implicit-templates -fno-exceptions -fno-rtti -D_P1003_1B_VISIBLE -DSIGNAL_WITH_VIO_CLOSE -DSIGNALS_DONT_BREAK_READ -DIGNORE_SIGHUP_SIGQUIT -DDONT_DECLARE_CXA_PURE_VIRTUAL -MT ha_innodb_la-i_s.lo -MD -MP -MF .deps/ha_innodb_la-i_s.Tpo -c handler/i_s.cc -o .libs/ha_innodb_la-i_s.o
    handler/i_s.cc: In function 'int i_s_innodb_schema_table_fill(THD*, TABLE_LIST*, COND*)':
    handler/i_s.cc:3608: internal compiler error: in expected_value_to_br_prob, at predict.c:1455
    Please submit a full bug report,
    with preprocessed source if appropriate.
    See <URL:http://developer.apple.com/bugreporter> for instructions.
    make[3]: *** [ha_innodb_la-i_s.lo] Error 1
    make[2]: *** [custom_checks] Error 2
    make[1]: *** [all-recursive] Error 1
    make: *** [all-recursive] Error 1


    Thanks.

  • #2
    Vadim says that we don't support Mac. However if you are interested in it, we are open to sponsorship for that, and you can contact Bill to discuss. http://www.percona.com/contact/sales

    Comment


    • #3
      That's bad! You don't have to pay a cent to use MariaDB on your Mac. What you can do, in fact, is to ban the xtradb.

      If you want to install MariaDB from the source at your Mac just follow these few steps:

      1) Download the innodb plugin from Innobase website (too much reliable than xtradb)

      2) untar the file at /storage

      3) Erase, remove, destroy D the xtradb directory

      4) rename the innobase directory to xtradb

      5) ./configure as you wish, make, make install and there you go

      For default the mariadb compilation scripts exclude the embedded innodb from the mysqld.

      I adivse you to follow the directions at:

      http://www.innodb.com/doc/innodb_plugin-1.0/innodb-plugin-in stallation.html#innodb-plugin-installation-source

      If you need any extra help feel free to get in touch.

      Alexandre Almeida
      MySQL/MariaDB Evangelist

      Comment


      • #4
        >> too much reliable than xtradb
        what are you trying to say?

        Comment

        Working...
        X